Imagick::posterizeImage
Imagick::previousImage
Imagick
PHP Manual

# Imagick::previewImages

Quickly pin-point appropriate parameters for image processing

### Description

bool Imagick::previewImages ( int `$preview` )

Tiles 9 thumbnails of the specified image with an image processing operation applied at varying strengths. This is helpful to quickly pin-point an appropriate parameter for an image processing operation.

### Parameters

`preview`

  Preview type. See Preview type constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.